Confluence Startup Error - loading com.atlassian.gadgets.opensocial

I get the following ERROR after I set up a freshly installed Confluence 5.1.3 environment (Java 7, Tomcat 6.0.37, EAR/WAR, Linux SLES11, Oracle11.2g-database):

I already tried the following:

  • adding -Datlassian.plugins.enable.wait=300 to the catalina.sh
  • deleting the plugin-folders in <CF-Home> and restarting CF
  • setting the permgen-size from 256 to 384 and/or 512

Any suggestions? It's my 10th CF-installation on linux and I never had this issue before.

2013-06-24 14:33:47,567 ERROR [main] [plugin.osgi.factory.OsgiPlugin] enableInternal Detected an error (BundleException) enabling the plugin 'com.atlassian.gadgets.opensocial' : Unresolved constraint in bundle com.atlassian.gadgets.opensocial [110]: Unable to resolve 110.0: missing requirement [110.0] package; (&(package=org.apache.xerces.dom)(version>=2.9.1)(!(version>=3.0.0))). This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see http://confluence.atlassian.com/x/1xy6D
2013-06-24
14:33:47,570 WARN [main] [plugin.osgi.factory.OsgiPlugin] enable Unable to enable plugin 'com.atlassian.gadgets.opensocial'
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.gadgets.opensocial
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:445)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:237)
at com.atlassian.plugin.impl.AbstractDelegatingPlugin.enable(AbstractDelegatingPlugin.java:215)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:114)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:99)
at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:725)
at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:178)
at com.atlassian.confluence.plugin.ConfluencePluginManager.init(ConfluencePluginManager.java:205)
at com.atlassian.confluence.plugin.PluginFrameworkContextListener.contextInitialized(PluginFrameworkContextListener.java:52)
at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4206)
at org.apache.catalina.core.StandardContext.start(StandardContext.java:4705)
at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:799)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:779)
at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:601)
at org.apache.catalina.startup.HostConfig.deployDescriptor(HostConfig.java:675)
at org.apache.catalina.startup.HostConfig.deployDescriptors(HostConfig.java:601)
at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:502)
at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1317)
at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:324)
at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:142)
at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1065)
at org.apache.catalina.core.StandardHost.start(StandardHost.java:840)
at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1057)
at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:463)
at org.apache.catalina.core.StandardService.start(StandardService.java:525)
at org.apache.catalina.core.StandardServer.start(StandardServer.java:754)
at org.apache.catalina.startup.Catalina.start(Catalina.java:595)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:76)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:602)
at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.atlassian.gadgets.opensocial [110]: Unable to resolve 110.0: missing requirement [110.0] package; (&(package=org.apache.xerces.dom)(version>=2.9.1)(!(version>=3.0.0)))
at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409)
at org.apache.felix.framework.Felix.startBundle(Felix.java:1709)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:892)
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:417)
... 32 more
2013-06-24 14:33:47,575 ERROR [main] [atlassian.plugin.manager.PluginEnabler] actualEnable Unable to enable plugin com.atlassian.gadgets.opensocial
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.gadgets.opensocial
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:445)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:237)
at com.atlassian.plugin.impl.AbstractDelegatingPlugin.enable(AbstractDelegatingPlugin.java:215)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:114)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:99)
at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:725)
at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:178)
at com.atlassian.confluence.plugin.ConfluencePluginManager.init(ConfluencePluginManager.java:205)
at com.atlassian.confluence.plugin.PluginFrameworkContextListener.contextInitialized(PluginFrameworkContextListener.java:52)
at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4206)
at org.apache.catalina.core.StandardContext.start(StandardContext.java:4705)
at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:799)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:779)
at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:601)
at org.apache.catalina.startup.HostConfig.deployDescriptor(HostConfig.java:675)
at org.apache.catalina.startup.HostConfig.deployDescriptors(HostConfig.java:601)
at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:502)
at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1317)
at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:324)
at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:142)
at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1065)
at org.apache.catalina.core.StandardHost.start(StandardHost.java:840)
at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1057)
at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:463)
at org.apache.catalina.core.StandardService.start(StandardService.java:525)
at org.apache.catalina.core.StandardServer.start(StandardServer.java:754)
at org.apache.catalina.startup.Catalina.start(Catalina.java:595)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:76)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:602)
at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.atlassian.gadgets.opensocial [110]: Unable to resolve 110.0: missing requirement [110.0] package; (&(package=org.apache.xerces.dom)(version>=2.9.1)(!(version>=3.0.0)))
at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409)
at org.apache.felix.framework.Felix.startBundle(Felix.java:1709)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:892)
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:417)
... 32 more

2 answers

1 accepted

This widget could not be displayed.

Hi Nico,

You're probably thinking, why my previous environment wasn't working. It's because we only support JDK/JRE from Oracle as you can see here:

https://confluence.atlassian.com/display/DOC/Supported+Platforms

So problems like that could happen, as the application was designed under Oracle's environment.

Cheers,

WZ

This widget could not be displayed.

Just in case someone has the same issue:

We solved the problem. The problem was a wrong Java Environment (in this case IBM Java from the SLES-repository). Changed it manually to the official Oracle Java and everything works fine now. Didn't notice it in the first place.

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Monday in Confluence

Why start from scratch? Introducing four new templates for Confluence Cloud

Hi my Community friends!  For those who don't know me, I'm a product marketer on the Confluence Cloud team - nice to meet you! For those of you who do, you know that I've been all up in your Co...

294 views 2 4
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you